Gecode::MiniModel::SetNonLinIntExpr Class Reference

Integer valued set expressions. More...

## Public Types

enum | SetNonLinIntExprType { SNLE_CARD , SNLE_MIN , SNLE_MAX }
| The expression type. More...

## Public Member Functions

| SetNonLinIntExpr (const SetExpr &e0, SetNonLinIntExprType t0)
| Constructor.
virtual IntVar | post (Home home, IntVar *ret, const IntPropLevels &) const
| Post expression.
virtual void | post (Home home, IntRelType irt, int c, const IntPropLevels &ipls) const
| Post expression to be in relation irt with c.
virtual void | post (Home home, IntRelType irt, int c, BoolVar b, const IntPropLevels &ipls) const
| Post reified expression to be in relation irt with c.
Public Member Functions inherited from Gecode::NonLinIntExpr
virtual | ~NonLinIntExpr (void)
| Destructor.
void * | operator new (size_t s)
| Memory management.
void | operator delete (void *p, size_t s)
| Memory management.

## Public Attributes

enum Gecode::MiniModel::SetNonLinIntExpr::SetNonLinIntExprType | t
SetExpr | e
| The expression.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::NonLinIntExpr
static IntVar | result (Home home, IntVar *x)
| Return fresh variable if x is null, x otherwise.
static IntVar | result (Home home, IntVar *x, IntVar y)
| Constrain x to be equal to y if x is not null.

## Detailed Description

Integer valued set expressions.

Definition at line 725 of file set-expr.cpp.

## Member Enumeration Documentation

## SetNonLinIntExprType

enum Gecode::MiniModel::SetNonLinIntExpr::SetNonLinIntExprType

The expression type.

Enumerator
SNLE_CARD | Cardinality expression.
SNLE_MIN | Minimum element expression.
SNLE_MAX | Maximum element expression.

Definition at line 728 of file set-expr.cpp.

## Constructor & Destructor Documentation

## SetNonLinIntExpr()

Gecode::MiniModel::SetNonLinIntExpr::SetNonLinIntExpr | ( | const SetExpr & | e0,
|  | SetNonLinIntExprType | t0 )

inline

Constructor.

Definition at line 736 of file set-expr.cpp.

## Member Function Documentation

## post() [1/3]

virtual IntVar Gecode::MiniModel::SetNonLinIntExpr::post | ( | Home | home,
|  | IntVar * | ret,
|  | const IntPropLevels & | ) const

inline virtual

Post expression.

Implements Gecode::NonLinIntExpr.

Definition at line 739 of file set-expr.cpp.

## post() [2/3]

virtual void Gecode::MiniModel::SetNonLinIntExpr::post | ( | Home | home,
|  | IntRelType | irt,
|  | int | c,
|  | const IntPropLevels & | ipls ) const

inline virtual

Post expression to be in relation irt with c.

Implements Gecode::NonLinIntExpr.

Definition at line 758 of file set-expr.cpp.

## post() [3/3]

virtual void Gecode::MiniModel::SetNonLinIntExpr::post | ( | Home | home,
|  | IntRelType | irt,
|  | int | c,
|  | BoolVar | b,
|  | const IntPropLevels & | ipls ) const

inline virtual

Post reified expression to be in relation irt with c.

Implements Gecode::NonLinIntExpr.

Definition at line 800 of file set-expr.cpp.

## Member Data Documentation

## t

enum Gecode::MiniModel::SetNonLinIntExpr::SetNonLinIntExprType Gecode::MiniModel::SetNonLinIntExpr::t

## e

SetExpr Gecode::MiniModel::SetNonLinIntExpr::e

The expression.

Definition at line 734 of file set-expr.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/set-expr.cpp